openapi: 3.0.0
info:
  title: API Loja Virtual - TecWorks
  version: 1.0.0
paths:
  /sessions:
    post:
      summary: Autenticacao
      description: "Autenticacao do usuario, para obter o token"
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: xxx
                password: xxx
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
  /order/:id:
    get:
      summary: Busca um pedido
      description: Busca dados de um pedido pelo seu ID
      parameters:
        - name: Accept
          in: header
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
    put:
      summary: Atualiza status do pedido
      description: Atualiza status do pedido
      parameters:
        - name: Accept
          in: header
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                cnpj: 38.063.591/0001-19
                pedido: 141456
                status: 3
                fgDashboard: false
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
  /orders:
    post:
      summary: Lista de pedidos
      description: Busca listagem de pedidos
      parameters:
        - name: Accept
          in: header
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                cliente: 1
                page: 1
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
  /adm/produtos:
    get:
      summary: Busca listagem de produtos
      description: ""
      parameters:
        - name: Accept
          in: header
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
  /adm/produto/:id:
    get:
      summary: Busca dados de um produto pelo seu ID
      description: ""
      parameters: []
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
    put:
      summary: Atualiza um produto
      description: ""
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                CODIGO: 27450
                NOME: ABA ADEVISA DE UNHAS KISS NEW YORK
                PRECO: 16.99
                PREPRO: 0
                INIPRO: "0000-00-00"
                FIMPRO: "0000-00-00"
                UNID: UN
                MARCA: KISS NEW YORK
                ESTOQUE: 0
                SUBGRUPO: UNHA POSTICA
                PESO: 0
                NCM: 39269090
                BARRA: 731509719253
                NOMEGRUPO: UNHAS
                REFERENCIA: null
                COMPLEMENTO:
                  CDPRODU: 27450
                  SAC: ""
                  DESCRICAO1: "Adesivo para unhas posti\xE7as Kiss New York Aba Adesiva,\xE9\
                    \ f\xE1cil de aplicar e remover, consegue grudar as unhas posti\xE7\
                    as sem cola. Kiss New York Aba Adesiva para Unhas \xE9 a solu\xE7\
                    \xE3o para quem quer ter uma manicure impec\xE1vel! Sua f\xF3\
                    rmula fixa por at\xE9 2 dias e n\xE3o danifica as unhas. Vem em\
                    \ 12 tamanho diferentes para garantir um resultado natural."
                  DESCRICAO2: "Aplique a aba adesiva na unha natural, pressione do\
                    \ centro para os lados e retire o filme protetor, alinhe a unha\
                    \ posti\xE7a com a cut\xEDcula e pressione firmemente."
                  DESCRICAO3: ""
                  ALTURA: 14
                  LARGURA: 7.5
                  DIAMETRO: 0
                  PESO: 0.012
                FOTOS:
                  - id: 1460026
                    link: aba-adevisa-de-unhas-kiss-new-york-27450-1.png
                    sequencia: 1
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
    delete:
      summary: Delete um produto da plataforma
      description: ""
      parameters: []
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
  /adm/produto:
    post:
      summary: Cadastra um novo produto
      description: ""
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                CODIGO: 27450
                NOME: ABA ADEVISA DE UNHAS KISS NEW YORK
                PRECO: 16.99
                PREPRO: 0
                INIPRO: "0000-00-00"
                FIMPRO: "0000-00-00"
                UNID: UN
                MARCA: KISS NEW YORK
                ESTOQUE: 0
                SUBGRUPO: UNHA POSTICA
                PESO: 0
                NCM: 39269090
                BARRA: 731509719253
                NOMEGRUPO: UNHAS
                REFERENCIA: null
                COMPLEMENTO:
                  CDPRODU: 27450
                  SAC: ""
                  DESCRICAO1: "Adesivo para unhas posti\xE7as Kiss New York Aba Adesiva,\xE9\
                    \ f\xE1cil de aplicar e remover, consegue grudar as unhas posti\xE7\
                    as sem cola. Kiss New York Aba Adesiva para Unhas \xE9 a solu\xE7\
                    \xE3o para quem quer ter uma manicure impec\xE1vel! Sua f\xF3\
                    rmula fixa por at\xE9 2 dias e n\xE3o danifica as unhas. Vem em\
                    \ 12 tamanho diferentes para garantir um resultado natural."
                  DESCRICAO2: "Aplique a aba adesiva na unha natural, pressione do\
                    \ centro para os lados e retire o filme protetor, alinhe a unha\
                    \ posti\xE7a com a cut\xEDcula e pressione firmemente."
                  DESCRICAO3: ""
                  ALTURA: 14
                  LARGURA: 7.5
                  DIAMETRO: 0
                  PESO: 0.012
                FOTOS:
                  - id: 1460026
                    link: aba-adevisa-de-unhas-kiss-new-york-27450-1.png
                    sequencia: 1
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
security:
  - BearerAuth: []
